Subject: [PATCH] ARM: Add ARCH_HAS_L2X0 and make CACHE_L2X0 config depend on that

From: [email-masked] (Olof Johansson)
Date: Wed, 16 Jun 2010 09:13:06 -0500

On Wed, Jun 16, 2010 at 11:43:29AM +0800, Eric Miao wrote:
> On Mon, Jun 14, 2010 at 10:59 PM, Olof Johansson <[email-masked]> wrote:
> > On Sun, Jun 13, 2010 at 06:16:26AM +0100, Ben Dooks wrote:
> >> On Fri, Jun 11, 2010 at 10:58:07AM -0700, Daniel Walker wrote:
> >> >
> >> > I made a similar change not too long ago, but Russell wanted the define
> >> > to be HAVE_CACHE_L2X0 ..
> >>
> >> possibly, I was thinking ARM_L2X0 would also be an option, since if I
> >> remeber correctly it is selecting the driver not the availability of
> >> it.
> >
> > Yeah, there are lots of different possible names. :)
> >
> > Let's just go with the one Russell preferred and not worry too much
> > about it. There's some presendence to using HAVE_.* already.
> >
> 
> Sometimes I am thinking that maybe ARCH_HAS_* has some benefits:
> 
> HAVE_* for those kernel-wide and general capabilities
> ARCH_HAS_* for those ARM machine-class specific capabilities?
> 
> So to make things a bit more clear? If ARCH_HAS_* is widely adopted
> on architectures other than ARM, maybe we can then switch that name
> to HAVE_*?

We're nowhere near depleting the HAVE_.* namespace, it's quite sparsely
used at the moment. I don't see a need to overengineer things here.

A bike shed of any color will do, etc.

-Olof